Subject: Re: linux-next: manual merge of the scsi tree with the staging tree

From: "[email-masked]" <[email-masked]>
Date: Mon, 28 Aug 2017 18:05:45 +0200

On Mon, Aug 28, 2017 at 03:41:28PM +0000, Bart Van Assche wrote:
> On Mon, 2017-08-28 at 08:49 +0200, Greg KH wrote:
> > On Mon, Aug 28, 2017 at 04:41:27PM +1000, Stephen Rothwell wrote:
> > > Hi James,
> > > 
> > > Today's linux-next merge of the scsi tree got a conflict in:
> > > 
> > >   drivers/staging/unisys/visorhba/visorhba_main.c
> > > 
> > > between commits:
> > > 
> > >   781facd05eb9 ("staging: unisys: visorhba: visorhba_main.c: fixed comment formatting issues")
> > > 
> > > from the staging tree and commit:
> > > 
> > >   7bc4e528d9f6 ("scsi: visorhba: sanitze private device data allocation")
> > > 
> > > from the scsi tree.
> > > 
> > > I fixed it up (see below) and can carry the fix as necessary. This
> > > is now fixed as far as linux-next is concerned, but any non trivial
> > > conflicts should be mentioned to your upstream maintainer when your tree
> > > is submitted for merging.  You may also want to consider cooperating
> > > with the maintainer of the conflicting tree to minimise any particularly
> > > complex conflicts.
> > 
> > Ick, messy merge, thanks for doing this.
> 
> Hello Greg,
> 
> If you agree with the following, please communicate this to the visorhba
> authors:

<snip>

No reason you can't tell them this yourself, right?  :)

> * Most SCSI drivers exist under drivers/scsi, including the virtio-scsi and
>   xen-scsifront drivers. So why has the visorhba driver been added under
>   unisys/visorhba?

That's because right now it's still a staging driver.  Also, there are
other scsi drivers in other portions of the kernel tree (like the USB
driver), so there's no hard rule that all scsi drivers have to be under
drivers/scsi/

<snip>

Please provide this review to them, on the properly mailing list, I'm
sure they would be glad to get it.

thanks,

greg k-h